android gradle加了个第三方的view包后 初始化sdk失败

android
sdk
error
标签: #<Tag:0x00007fb84630f060> #<Tag:0x00007fb84630eb60> #<Tag:0x00007fb84630e728>

(随意 ) #1

问题是这样的 之前都是好的 但因为需求问题在gradle加了个第三方的view包后 就是sdk初始化错误了 经测试 的确是加这个包的原因 哪位大大能帮忙解决一下 具体更改及错误如下:

1 gradle里加了compile ‘net.robinx:lib.blurview:1.0.2’
2 grade中defaultConfig加了
renderscriptTargetApi 19
renderscriptSupportModeEnabled true

3错误日志如下(so配置没问题):

E/art: No implementation found for int cn.jpush.android.service.PushProtocol.GetSdkVersion() (tried Java_cn_jpush_android_service_PushProtocol_GetSdkVersion and Java_cn_jpush_android_service_PushProtocol_GetSdkVersion__)
  [JPushGlobal] Get sdk version fail![获取sdk版本失败!]
 [JPushGlobal] JPush .so file do not match JPush .jar file in the project, Failed to init JPush

#2

按照一般来说,报[quote=“abc112233, post:1, topic:10831”]
Get sdk version fail!
[/quote]

错误排查即:

如果你确认是第三方的view包有影响,那也应该会有更多一些的日志来反应这个信息吧?